var __create = Object.create;
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getProtoOf = Object.getPrototypeOf;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toESM = (mod, isNodeMode, target) => (target = mod != null ? __create(__getProtoOf(mod)) : {}, __copyProps(
  // If the importer is in node compatibility mode or this is not an ESM
  // file that has been converted to a CommonJS file using a Babel-
  // compatible transform (i.e. "__esModule" has not been set), then set
  // "default" to the CommonJS "module.exports" for node compatibility.
  isNodeMode || !mod || !mod.__esModule ? __defProp(target, "default", { value: mod, enumerable: true }) : target,
  mod
));
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);
var plugin_exports = {};
__export(plugin_exports, {
  ThemeEditorPlugin: () => ThemeEditorPlugin,
  default: () => plugin_default
});
module.exports = __toCommonJS(plugin_exports);
var import_server = require("@nocobase/server");
var import_path = __toESM(require("path"));
var import_builtinThemes = require("./builtinThemes");
class ThemeEditorPlugin extends import_server.Plugin {
  theme;
  afterAdd() {
  }
  async beforeLoad() {
  }
  async load() {
    await this.importCollections(import_path.default.resolve(__dirname, "./collections"));
    this.db.addMigrations({
      namespace: "theme-editor",
      directory: (0, import_path.resolve)(__dirname, "./migrations"),
      context: {
        plugin: this
      }
    });
    this.app.acl.allow("themeConfig", "list", "public");
    this.app.acl.registerSnippet({
      name: `pm.${this.name}.themeConfig`,
      actions: ["themeConfig:*"]
    });
  }
  async install(options) {
    const themeRepo = this.db.getRepository("themeConfig");
    if (!themeRepo) {
      throw new Error(`themeConfig repository does not exist`);
    }
    if (await themeRepo.count() === 0) {
      await themeRepo.create({
        values: [import_builtinThemes.defaultTheme, import_builtinThemes.dark, import_builtinThemes.compact, import_builtinThemes.compactDark]
      });
    }
  }
  async afterEnable() {
  }
  async afterDisable() {
  }
  async remove() {
  }
}
var plugin_default = ThemeEditorPlugin;
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  ThemeEditorPlugin
});
